package com.ejie.ab79.model.REST.servicioWeb;

public class DatosGenerales extends Estado implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private DatosBasicos datosBasicos;
	private Interesados interesados;
	private Ubicaciones ubicaciones;

	public DatosBasicos getDatosBasicos() {
		return datosBasicos;
	}

	public void setDatosBasicos(DatosBasicos datosBasicos) {
		this.datosBasicos = datosBasicos;
	}

	public Interesados getInteresados() {
		return interesados;
	}

	public void setInteresados(Interesados interesados) {
		this.interesados = interesados;
	}

	public Ubicaciones getUbicaciones() {
		return ubicaciones;
	}

	public void setUbicaciones(Ubicaciones ubicaciones) {
		this.ubicaciones = ubicaciones;
	}

	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ datosBasicos: ").append(this.datosBasicos).append(" ]");
		result.append(", [ interesados: ").append(this.interesados).append(" ]");
		result.append(", [ ubicaciones: ").append(this.ubicaciones).append(" ]");
		result.append("}");
		return result.toString();
	}
}
